org.eclipse.rdf4j.queryrender.serql

## Class SeRQLQueryRenderer

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.serql.SeRQLQueryRenderer

- All Implemented Interfaces:
    QueryRenderer

      public class SeRQLQueryRenderer
      extends Object
      implements QueryRenderer

  Implementation of the `QueryRenderer` interface which renders `ParsedQuery` objects as strings in SeRQL syntax

  Author:
    Michael Grove

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `SERQL_ONE_X_COMPATIBILITY_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeRQLQueryRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryLanguage` | `getLanguage()` Return the language this QueryRenderer will render queries in.
    `String` | `render(ParsedQuery theQuery)` Render the query object to a string in the language supported by this renderer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERQL_ONE_X_COMPATIBILITY_MODE

          public static final boolean SERQL_ONE_X_COMPATIBILITY_MODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SeRQLQueryRenderer

          public SeRQLQueryRenderer()

  - ### Method Detail

    - #### getLanguage

          public QueryLanguage getLanguage()

      Description copied from interface: `QueryRenderer`
      Return the language this QueryRenderer will render queries in.
      Specified by:
        `getLanguage` in interface `QueryRenderer`
      Returns:
        the query language

    - #### render

          public String render(ParsedQuery theQuery)
                        throws Exception

      Description copied from interface: `QueryRenderer`
      Render the query object to a string in the language supported by this renderer
      Specified by:
        `render` in interface `QueryRenderer`
      Parameters:
        `theQuery` - the query to render
      Returns:
        the rendered query
      Throws:
        `Exception` - if there is an error while rendering

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.